Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_new_node_from_uri

## Name

librdf_new_node_from_uri -- Constructor - create a new resource librdf_node object with a given URI

## Synopsis

``librdf_node* `librdf_new_node_from_uri`` (librdf_world * `world`, librdf_uri * `uri`);`

## Arguments

`world`

  redland world object

`uri`

  rdf_uri object

## Return value

a new librdf_node object or NULL on failure

<<< Previous | Home | Next >>>
librdf_new_node_from_uri_string | Up | librdf_new_node_from_uri_local_name